Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Video.VideoDeviceCapability

    java.lang.Object
      java.lang.Enum<Video.VideoDeviceCapability>
          com.skype.api.Video.VideoDeviceCapability

All Implemented Interfaces:
  EnumConverting, java.io.Serializable, java.lang.Comparable<Video.VideoDeviceCapability>

Enclosing class:
  Video

    public static enum Video.VideoDeviceCapability

extends java.lang.Enum<Video.VideoDeviceCapability>
implements EnumConverting

Enum Constant Summary
`VIDEOCAP_HQ_CAPABLE`
`VIDEOCAP_HQ_CERTIFIED`
`VIDEOCAP_REQ_DRIVERUPDATE`
`VIDEOCAP_USB_HIGHSPEED`

Field Summary
`static int` | `VIDEOCAP_HQ_CAPABLE_VALUE`
`static int` | `VIDEOCAP_HQ_CERTIFIED_VALUE`
`static int` | `VIDEOCAP_REQ_DRIVERUPDATE_VALUE`
`static int` | `VIDEOCAP_USB_HIGHSPEED_VALUE`

Method Summary
`EnumConverting` | `convert(int from)`
`static Video.VideoDeviceCapability` | `get(int from)`
`EnumConverting[]` | `getArray(int size)`
`EnumConverting` | `getDefault()`
`int` | `getId()`
`static Video.VideoDeviceCapability` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Video.VideoDeviceCapability[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### VIDEOCAP_HQ_CAPABLE

    public static final Video.VideoDeviceCapability VIDEOCAP_HQ_CAPABLE

### VIDEOCAP_HQ_CERTIFIED

    public static final Video.VideoDeviceCapability VIDEOCAP_HQ_CERTIFIED

### VIDEOCAP_REQ_DRIVERUPDATE

    public static final Video.VideoDeviceCapability VIDEOCAP_REQ_DRIVERUPDATE

### VIDEOCAP_USB_HIGHSPEED

    public static final Video.VideoDeviceCapability VIDEOCAP_USB_HIGHSPEED

Field Detail

### VIDEOCAP_HQ_CAPABLE_VALUE

    public static final int VIDEOCAP_HQ_CAPABLE_VALUE

See Also:
  Constant Field Values

### VIDEOCAP_HQ_CERTIFIED_VALUE

    public static final int VIDEOCAP_HQ_CERTIFIED_VALUE

See Also:
  Constant Field Values

### VIDEOCAP_REQ_DRIVERUPDATE_VALUE

    public static final int VIDEOCAP_REQ_DRIVERUPDATE_VALUE

See Also:
  Constant Field Values

### VIDEOCAP_USB_HIGHSPEED_VALUE

    public static final int VIDEOCAP_USB_HIGHSPEED_VALUE

See Also:
  Constant Field Values

Method Detail

### values

    public static Video.VideoDeviceCapability[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Video.VideoDeviceCapability c : Video.VideoDeviceCapability.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Video.VideoDeviceCapability valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

  Specified by:
    `getId` in interface `EnumConverting`

### getDefault

    public EnumConverting getDefault()

  Specified by:
    `getDefault` in interface `EnumConverting`

### convert

    public EnumConverting convert(int from)

  Specified by:
    `convert` in interface `EnumConverting`

### getArray

    public EnumConverting[] getArray(int size)

  Specified by:
    `getArray` in interface `EnumConverting`

### get

    public static Video.VideoDeviceCapability get(int from)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.